Bug 6964 - Add book metadata to article display
Add book metadata to article display
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.4.5
All All
: P3 enhancement
Assigned To: Michael Felczak
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-30 20:53 PST by Michael Felczak
Modified: 2014-05-22 13:49 PDT (History)
4 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Felczak 2011-11-30 20:53:17 PST
Currently metadata is only being added as supplemental Dublin Core.

Add publisher info, ISBN, no. of pages, etc. below article title on article view page for reviewed books associated with a review submission.

Courtesy of:
http://pkp.sfu.ca/support/forum/viewtopic.php?f=2&t=8101
Comment 1 Alec Smecher 2014-03-20 13:48:53 PDT
Future developments on the Books for Review plugin will be superseded by the Objects for Review plugin, which should be released soon.
Comment 2 Alec Smecher 2014-05-22 13:21:37 PDT
Reusing this bug entry for this as an addition to the Objects For Review plugin instead of the deprecated Books For Review plugin.
Comment 3 Bozana Bokan 2014-05-22 13:37:03 PDT
display object metadata on the article abstract page
https://github.com/pkp/ojs/commit/1320a0bc3752cf4df0fdd7bafe17ceed320fd42f
Comment 4 Alec Smecher 2014-05-22 13:37:03 PDT
Pull request closed (merged):
Add book metadata to article display
https://github.com/pkp/ojs/pull/196
Comment 5 Alec Smecher 2014-05-22 13:37:03 PDT
Method documentation
https://github.com/pkp/ojs/commit/11d9df28c4ccf7d2cf194b05859b55f91ef8895a
Comment 6 Alec Smecher 2014-05-22 13:37:04 PDT
Pull request opened (not merged):
Add book metadata to article display
https://github.com/pkp/ojs/pull/196
Comment 7 Alec Smecher 2014-05-22 13:49:32 PDT
Committed (originally from Bozana's fork; reviewed by Alec)